Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.util
Class PathHelper

    java.lang.Object
      org.hibernate.hql.internal.ast.util.PathHelper

    public final class PathHelper

extends Object

Provides utility methods for paths.

Method Summary
`static String` | `getAlias(String path)`
`static antlr.collections.AST` | `parsePath(String path, antlr.ASTFactory factory)` Turns a path into an AST.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parsePath

    public static antlr.collections.AST parsePath(String path,
                                                  antlr.ASTFactory factory)

  Turns a path into an AST.

  Parameters:
    `path` - The path.
    `factory` - The AST factory to use.
  Returns:
    An HQL AST representing the path.

### getAlias

    public static String getAlias(String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.